Debian Bug report logs - #291450
perl: index() on two tainted constants breaks subsequent open(FH, "-|")

version graph

Package: perl; Maintainer for perl is Niko Tyni <ntyni@debian.org>; Source for perl is src:perl.

Reported by: Adrian Irving-Beer <wisq-deb@wisq.net>

Date: Thu, 20 Jan 2005 20:18:17 UTC

Severity: normal

Tags: fixed-upstream, patch

Found in versions 5.8.4-5, perl/5.8.8-4, perl/5.10.0-8

Fixed in versions perl/5.12.4-2, perl/5.14.1-1

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Forwarded to http://rt.perl.org/rt3/Public/Bug/Display.html?id=64804

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#291450; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Adrian Irving-Beer <wisq-deb@wisq.net>:
New Bug report received and forwarded. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adrian Irving-Beer <wisq-deb@wisq.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: perl: index() on two tainted constants breaks subsequent open(FH, "-|")
Date: Thu, 20 Jan 2005 15:14:53 -0500
Package: perl
Version: 5.8.4-5
Severity: normal
Tags: sarge

The following script causes a strange taint error when supplied with two
command-line parameters:

	#!/usr/bin/perl -T
	use constant C_A => $ARGV[0];
	use constant C_B => $ARGV[1];
	index(C_A, C_B);
	open(FOO, "-|");

Result:

	$ ./taint.pl aaa bbb
	Insecure dependency in piped open while running with -T switch
	at ./taint.pl line 5.

Commenting out the index() makes the error disappear, as does refraining
from supplying one or both of the args.

An index() shouldn't impact an open(), and the open() shouldn't ever
cause a taint error anyway (it just opens a pipe and forks).

The problem does not seem reproducable using variables, subroutines, or
direct reference to @ARGV -- only the 'constant' module.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing'), (300, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.10-1-686
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)

Versions of packages perl depends on:
ii  libc6                       2.3.2.ds1-18 GNU C Library: Shared libraries an
ii  libdb4.2                    4.2.52-17    Berkeley v4.2 Database Libraries [
ii  libgdbm3                    1.8.3-2      GNU dbm database routines (runtime
ii  perl-base                   5.8.4-5      The Pathologically Eclectic Rubbis
ii  perl-modules                5.8.4-5      Core Perl modules

-- no debconf information



Bug marked as found in version 5.8.8-4. Request was from Niko Tyni <ntyni@iki.fi> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as found in version 5.10.0-8. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Wed, 23 Apr 2008 21:34:48 GMT) Full text and rfc822 format available.

Tags removed: sarge Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Wed, 23 Apr 2008 21:34:56 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#291450; Package perl. (Fri, 17 Apr 2009 18:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Fri, 17 Apr 2009 18:51:02 GMT) Full text and rfc822 format available.

Message #16 received at 291450@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: control@bugs.debian.org
Cc: 291450@bugs.debian.org
Subject: bug 291450 is forwarded to http://rt.perl.org/rt3/Public/Bug/Display.html?id=64804
Date: Fri, 17 Apr 2009 21:47:58 +0300
# Automatically generated email from bts, devscripts version 2.10.35lenny3
# patch included in the upstream ticket
forwarded 291450 http://rt.perl.org/rt3/Public/Bug/Display.html?id=64804





Noted your statement that Bug has been forwarded to http://rt.perl.org/rt3/Public/Bug/Display.html?id=64804. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Fri, 17 Apr 2009 18:51:07 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Tue, 31 May 2011 22:51:03 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 30 Jun 2011 16:36:19 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Tue, 05 Jul 2011 17:39:13 GMT) Full text and rfc822 format available.

Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Wed, 27 Jul 2011 21:27:18 GMT) Full text and rfc822 format available.

Notification sent to Adrian Irving-Beer <wisq-deb@wisq.net>:
Bug acknowledged by developer. (Wed, 27 Jul 2011 21:27:19 GMT) Full text and rfc822 format available.

Message #29 received at 291450-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 291450-close@bugs.debian.org
Subject: Bug#291450: fixed in perl 5.12.4-2
Date: Wed, 27 Jul 2011 21:22:55 +0000
Source: perl
Source-Version: 5.12.4-2

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.12.4-2_all.deb
  to main/p/perl/libcgi-fast-perl_5.12.4-2_all.deb
libperl-dev_5.12.4-2_i386.deb
  to main/p/perl/libperl-dev_5.12.4-2_i386.deb
libperl5.12_5.12.4-2_i386.deb
  to main/p/perl/libperl5.12_5.12.4-2_i386.deb
perl-base_5.12.4-2_i386.deb
  to main/p/perl/perl-base_5.12.4-2_i386.deb
perl-debug_5.12.4-2_i386.deb
  to main/p/perl/perl-debug_5.12.4-2_i386.deb
perl-doc_5.12.4-2_all.deb
  to main/p/perl/perl-doc_5.12.4-2_all.deb
perl-modules_5.12.4-2_all.deb
  to main/p/perl/perl-modules_5.12.4-2_all.deb
perl_5.12.4-2.debian.tar.gz
  to main/p/perl/perl_5.12.4-2.debian.tar.gz
perl_5.12.4-2.dsc
  to main/p/perl/perl_5.12.4-2.dsc
perl_5.12.4-2_i386.deb
  to main/p/perl/perl_5.12.4-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 291450@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 27 Jul 2011 19:59:30 +0100
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug libperl5.12 libperl-dev perl
Architecture: source all i386
Version: 5.12.4-2
Distribution: unstable
Urgency: low
Maintainer: Niko Tyni <ntyni@debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.12 - shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
Closes: 291450 630399 633076
Changes: 
 perl (5.12.4-2) unstable; urgency=low
 .
   [ Niko Tyni ]
   * debian/config.over: Force the multiarch directory /usr/lib/<triplet>
     into $Config{libpth} even if doesn't exist yet. This should guarantee
     that ExtUtils::Embed works on multiarch enabled system even when
     the package isn't built on one. Thanks to Jonathan Nieder.
     (Closes: #630399)
     + needs a build dependency on dpkg-dev (>= 1.16.0) for
       "dpkg-architecture -qDEB_HOST_MULTIARCH".
   * Fix tainting with index() of a constant. (Closes: #291450)
   * Break older versions of doc-base to avoid a Storable binary
     incompatibility issue in partial upgrades. (Closes: #633076)
   * No longer prune -lnsl and -lutil in debian/config.over, this was
     obsoleted by a related change in 5.6.1-7 (!)
   * Match bzip2 archives in debian/watch.
Checksums-Sha1: 
 eae98faf450a6392e3c0f51ae43d413ff0603bfd 1412 perl_5.12.4-2.dsc
 b3f635b23b4b3c177f9d84f262b0b7c9efcb768d 97146 perl_5.12.4-2.debian.tar.gz
 de495c9196365d09682cac7f3916e88444db03c2 56288 libcgi-fast-perl_5.12.4-2_all.deb
 e0f98b5c20691d57ff26380229c025ff06a3f514 7520266 perl-doc_5.12.4-2_all.deb
 f3cd15f9882a929f2b6f6ec2af35b1b1835e71f8 4785900 perl-modules_5.12.4-2_all.deb
 a1427b4e2901391d47cefd68f8ef0145181c492f 1454852 perl-base_5.12.4-2_i386.deb
 c0add598046d9d041f40784b2769a6c03a46a3ba 7507922 perl-debug_5.12.4-2_i386.deb
 8516388054b964656de447c747c784c949ce3e4f 704974 libperl5.12_5.12.4-2_i386.deb
 16e2b01e3ac6210b2e8f89841d4d93aba89d52d6 2593036 libperl-dev_5.12.4-2_i386.deb
 0131a32f322ff5162bcf10a14ed6050ab2545a07 3563884 perl_5.12.4-2_i386.deb
Checksums-Sha256: 
 8281266ffeb69c0bfa4c3dbc462d784d9e3e12fdddd5d328ede2c9936324d37f 1412 perl_5.12.4-2.dsc
 fbfd40283f0a81b8d8781e304f4f2e8b9be5ae83611993bd02b947c57209f02e 97146 perl_5.12.4-2.debian.tar.gz
 ab8e9467ef2a6736eded42824bbdc3a268444fed464d17483579eb2e816ab372 56288 libcgi-fast-perl_5.12.4-2_all.deb
 d000e15bcd41c6866e1ee50bcabc86c99676dd17a58cac5d5327aa51d237f61a 7520266 perl-doc_5.12.4-2_all.deb
 cbcb3b3c2c97e2758c915a625f0e34980829b7263ad39169eb01aee5f0b58f8a 4785900 perl-modules_5.12.4-2_all.deb
 bc22b4c3bdb1b9970c00c51dfff2a02ebac1ce648336c731d23c86cab5e26270 1454852 perl-base_5.12.4-2_i386.deb
 dbd99d80ceb13c84de5ca472a3063a374ef24ffbc531924573f4036d8863b0ee 7507922 perl-debug_5.12.4-2_i386.deb
 a8d8cc2e4bf40b1852139546aefc80f9b6ad74400b82b3bb1d9a71b02926e5d2 704974 libperl5.12_5.12.4-2_i386.deb
 b3905ce5302b50ce24bc300f05fd4e7b3e8d4f2f43c04b2c97f9045109148905 2593036 libperl-dev_5.12.4-2_i386.deb
 0b973009a93e31c62053370c8ba3686824736c113eb4d531addf5faa3770bab2 3563884 perl_5.12.4-2_i386.deb
Files: 
 4788ba26bf53f8ea99582f3b6ad26a2c 1412 perl standard perl_5.12.4-2.dsc
 17cce49adadc354856daa267cdbd4466 97146 perl standard perl_5.12.4-2.debian.tar.gz
 454cf234d8b5d22c69d05c7e777ed432 56288 perl optional libcgi-fast-perl_5.12.4-2_all.deb
 fcc4cdfdc9aeec24d0797ef7bdeec27c 7520266 doc optional perl-doc_5.12.4-2_all.deb
 71b8aea87e6e495d1296d405ce0bcccf 4785900 perl standard perl-modules_5.12.4-2_all.deb
 203debaa91c8cc602926f23e813fd995 1454852 perl required perl-base_5.12.4-2_i386.deb
 273d385410e1a44fe67a3e09f8017299 7507922 debug extra perl-debug_5.12.4-2_i386.deb
 2279cbe28254a8677c3e9ccb4fae3a05 704974 libs optional libperl5.12_5.12.4-2_i386.deb
 c5f549e9e84503e8d7d6d17bfb73c058 2593036 libdevel optional libperl-dev_5.12.4-2_i386.deb
 8c8139c204905ada2b611d9d89d5e982 3563884 perl standard perl_5.12.4-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOMHAXYzuFKFF44qURAopTAKCOPEDtBIXA7leF5kdbMNHy0ROb5QCeK4EZ
3hJORwWlXC+yWB1/pAUdgVo=
=7Fgr
-----END PGP SIGNATURE-----





Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Wed, 27 Jul 2011 22:51:05 GMT) Full text and rfc822 format available.

Notification sent to Adrian Irving-Beer <wisq-deb@wisq.net>:
Bug acknowledged by developer. (Wed, 27 Jul 2011 22:51:05 GMT) Full text and rfc822 format available.

Message #34 received at 291450-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 291450-close@bugs.debian.org
Subject: Bug#291450: fixed in perl 5.14.1-1
Date: Wed, 27 Jul 2011 22:48:02 +0000
Source: perl
Source-Version: 5.14.1-1

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.14.1-1_all.deb
  to main/p/perl/libcgi-fast-perl_5.14.1-1_all.deb
libperl-dev_5.14.1-1_i386.deb
  to main/p/perl/libperl-dev_5.14.1-1_i386.deb
libperl5.14_5.14.1-1_i386.deb
  to main/p/perl/libperl5.14_5.14.1-1_i386.deb
perl-base_5.14.1-1_i386.deb
  to main/p/perl/perl-base_5.14.1-1_i386.deb
perl-debug_5.14.1-1_i386.deb
  to main/p/perl/perl-debug_5.14.1-1_i386.deb
perl-doc_5.14.1-1_all.deb
  to main/p/perl/perl-doc_5.14.1-1_all.deb
perl-modules_5.14.1-1_all.deb
  to main/p/perl/perl-modules_5.14.1-1_all.deb
perl_5.14.1-1.debian.tar.gz
  to main/p/perl/perl_5.14.1-1.debian.tar.gz
perl_5.14.1-1.dsc
  to main/p/perl/perl_5.14.1-1.dsc
perl_5.14.1-1_i386.deb
  to main/p/perl/perl_5.14.1-1_i386.deb
perl_5.14.1.orig.tar.bz2
  to main/p/perl/perl_5.14.1.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 291450@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 27 Jul 2011 22:15:23 +0100
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug libperl5.14 libperl-dev perl
Architecture: source all i386
Version: 5.14.1-1
Distribution: experimental
Urgency: low
Maintainer: Niko Tyni <ntyni@debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.14 - shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
Closes: 291450 625634 625808 626094 626125 628042 628512 630399 631096 631308 633076
Changes: 
 perl (5.14.1-1) experimental; urgency=low
 .
   [ Niko Tyni ]
   * New upstream version.
     + ODBM_File hints find libgdbm_compat again in multiarch setups
       (Closes: #625634)
     + Lengthen time-out in t/re/re.t; fixes FTBFS on sh4 (Closes: #626125)
   * Move all package maintainer tests to debian/t/
   * Switch to git-dpm for managing debian/patches
     + generate the patchlevel information from debian/patches at build time.
   * Multiarch related fixes:
     + Remove the Debian/Ubuntu specific path fix introduced in
       5.12.3-3 and obsoleted by the upstream fix in 5.14.0.
     + h2ph now correctly gets the header directories from gcc (Closes: #625808)
   * Revert obsolete patches:
     - debian/arm_optim.diff
     - debian/devel-ppport-ia64-optim.diff
     - fixes/processPL.diff (Closes: #626094)
   * Support the 'build-arch' and 'build-indep' debian/rules targets
     as synonyms for 'build'.
   * Remove a stale perlcc reference from the libperl-dev long description.
   * Don't use LD_RUN_PATH for multiarch directories (Closes: #631096)
     (thanks, Ahmed El-Mahmoudy)
   * Add Depends on libc6-dev | libc-dev to libperl-dev (Closes: #631308)
   * Add a './perl.static -Ilib -V' invocation to the end of the build,
     for the build log record (refers to: #630399)
   * Merge 5.12.4-1 from unstable.
   * Fix tainting with index() of a constant. (Closes: #291450)
   * debian/config.over: Force the multiarch directory /usr/lib/<triplet>
     into $Config{libpth} even if doesn't exist yet. This should guarantee
     that ExtUtils::Embed works on multiarch enabled system even when
     the package isn't built on one. Thanks to Jonathan Nieder.
     (Closes: #630399)
     + needs a build dependency on dpkg-dev (>= 1.16.0) for
       "dpkg-architecture -qDEB_HOST_MULTIARCH".
   * Break older versions of doc-base to avoid a Storable binary
     incompatibility issue in partial upgrades. (Closes: #633076)
   * No longer prune -lnsl and -lutil in debian/config.over, this was
     obsoleted by a related change in 5.6.1-7 (!)
   * Match bzip2 archives in debian/watch.
 .
   [ Dominic Hargreaves ]
   * work around -Werror compile failure of XS in linux perf tool
     (Closes: #628512)
   * Note removal of perl-suid in README.Debian and suggest alternatives
     (Closes: #628042)
   * Add note about git format-patch signatures to git-dpm section of
     README.source
   * Update Vcs-* references to point to combined git-dpm based
     repository at new anonscm URLs
   * Split up patch debian/extutils_hacks.diff into several logically
     distinct patches (relates to: #624508)
   * Merge 5.12.4-2 from unstable.
Checksums-Sha1: 
 d3d55d924d8359885c5d72377dc2deb1da514c25 1415 perl_5.14.1-1.dsc
 3f629f84f5bf766d7e24f61af910b10f5981c002 13266293 perl_5.14.1.orig.tar.bz2
 70fdd046d664e1e2a9013ab503045b7f1046cd2a 113905 perl_5.14.1-1.debian.tar.gz
 7ad93baff233296a80bca831d2e4290372ac846b 71346 libcgi-fast-perl_5.14.1-1_all.deb
 7a9a5530bd63b619605fd41d890949e211923fc3 8154738 perl-doc_5.14.1-1_all.deb
 280ea9da9eff3ffa3fe782646e918a05c8b6b23b 3437164 perl-modules_5.14.1-1_all.deb
 2e5dbfd3774c6cb7b997094d8b52d830cb96971f 1480608 perl-base_5.14.1-1_i386.deb
 592dbdcb9171d0fe0cd3ba6c8411f9a62db10a26 7755360 perl-debug_5.14.1-1_i386.deb
 dfcdaf446ad7ce223c3617b7590439cbeb6f138c 724272 libperl5.14_5.14.1-1_i386.deb
 ac4fbc375668d12d18f5ecd4ca6674ef3fe318c7 2678152 libperl-dev_5.14.1-1_i386.deb
 0c31445d972db9b0054a2f9fc83ac5726e4337fc 3696622 perl_5.14.1-1_i386.deb
Checksums-Sha256: 
 18063d8ac6bfb804129dd0e4c519e775ae013a6a05cbff2b06961501bfc76e80 1415 perl_5.14.1-1.dsc
 29b4a7e7c22d4a980ab9eb1ea486c5c4ee9ec533192a1ce8f3fe9ae32fb1f862 13266293 perl_5.14.1.orig.tar.bz2
 cf0f0ad50fba14973f40b985c7e20ca2bc64eb5f5e7e7df7b9733354ad56ef31 113905 perl_5.14.1-1.debian.tar.gz
 75e9e3d93b90672c705ef84be888b853c2a9907ebef6f7c08a8d1393c70d5490 71346 libcgi-fast-perl_5.14.1-1_all.deb
 33a2c7e95377782551df3407798f1546e6f26e3b08f73fc839bae5662ac74073 8154738 perl-doc_5.14.1-1_all.deb
 9ed53e4ec457c6f65e0f1181d7483346eb1e8d816ab1c8a7d2bcdbfed80078a3 3437164 perl-modules_5.14.1-1_all.deb
 850bcb280cc47b68a2a126499899eafe3af1773fd102ad2bdce7aa4c8fc5fbee 1480608 perl-base_5.14.1-1_i386.deb
 6109b24e2f66877e0f6f865b5774cf6b3831ae2f6a9316ac79bf7aedd31a9bf0 7755360 perl-debug_5.14.1-1_i386.deb
 b0cc01652d43c449b8f0ed648cc7066d069dee71045447436734f98536f161da 724272 libperl5.14_5.14.1-1_i386.deb
 c128363be3d5b2e316d325fd8086f3d7fabf9fc62288ff4f7056a2f1f48dbd44 2678152 libperl-dev_5.14.1-1_i386.deb
 766be129b705dfe2c26e349fbf805347ed0a61f60509ba1e65e1bb0374d4ba07 3696622 perl_5.14.1-1_i386.deb
Files: 
 053aa34d4a0fc5d0f0fef65be58bf0c1 1415 perl standard perl_5.14.1-1.dsc
 97cd306a2c22929cc141a09568f43bb0 13266293 perl standard perl_5.14.1.orig.tar.bz2
 639ff002eb8b30fd83cf19f9f8d4e66b 113905 perl standard perl_5.14.1-1.debian.tar.gz
 9ba8e743a1e01da7eb176aa07f201c2b 71346 perl optional libcgi-fast-perl_5.14.1-1_all.deb
 f0ef3125051f491b14738580e0a72bc7 8154738 doc optional perl-doc_5.14.1-1_all.deb
 bfa6ed51dc9d82df7b67197cca1ecd95 3437164 perl standard perl-modules_5.14.1-1_all.deb
 26755ebf8502a6268fd3e68274c8875b 1480608 perl required perl-base_5.14.1-1_i386.deb
 48b7f8e850c331223a8634773d743753 7755360 debug extra perl-debug_5.14.1-1_i386.deb
 4568e67904ecddb217979dfd2b9e06bd 724272 libs optional libperl5.14_5.14.1-1_i386.deb
 9b864c1043a379da7ee19611c1570d16 2678152 libdevel optional libperl-dev_5.14.1-1_i386.deb
 a636e54da14c3471ca7ae9872255fce6 3696622 perl standard perl_5.14.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOMIwhYzuFKFF44qURAtfJAKCzly6NAOSb9r2CVEa6XIfTzBwEQACfRzlR
zsenbGFI9kFMWNLucI2cPLg=
=Uzzo
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 04 Sep 2011 07:35:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:10:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.